+++
title = "Projets"
+++


1. `service` + `configure`
    * des services supplémentaires à prendre en charge, au hasard :
        * php-fpm
        * certificates
        * hackmd
        * prosody
        * wordpress
        * ...
2. `packaging`
    * pas loin d'être terminé (ou au moins utilisable)
3. `package`
    * à tester
4. proot
    * code à adapter aux .pkg et `package`
    * à tester
6. `networkctl`
    * code déjà présent, quasi utilisable tel quel
7. libipc
    * code déjà présent et utilisé en pratique
    * tests à faire sur les répertoires, fichiers et droits (rapide à faire)
8. plumberd + websocketd + tcpd...
    * base importante
9. authd
    * **de préférence**: faire une interface (actuellement spécifique à une application, on n'a rien de générique)
10. firewalld
    * à écrire entièrement
        * se fait en une semaine pour une première version avec iptables
5. build.zsh
    * sauf si on veut le réécrire
11. ... guid? (à écrire entièrement)
12. quelques outils à base de libipc : kanban, interface de authd...
13. BaguetteOS
14. dnsmanager


# Nous contacter

N'hésitez pas à venir discuter avec nous sur [notre outil de communication][mattermost].

Des passerelles vers IRC est XMPP sont à venir !

[mattermost]: https://team.baguette.netlib.re/

# dnsmanager / netlib.re

`dnsmanager` est une interface web pour permettre aux utilisateurices d'enregister un nom DNS et de gérer leur zone. C'est le logiciel derrière les coulisses de [netlib.re](https://netlib.re), un service qui fournit de noms pour tout le monde sur Internet.

[netlib.re](https://netlib.re) est sympathiquement opéré par [Alsace Réseau Neutre](https://arn-fai.net), un Fournisseur d'Accès à Internet neutre et sans-profit situé en Alsace (France). Ne sois pas timide et viens poser tes questions !

## Fonctionalités

- [x] Comptes utilisateur
- [x] Édition de zone en mode simple et expert
- [x] Mise à jour d'IP automatique à la DynDNS
- [x] Multiple zones clientes et parentes
- [ ] Délégation DNS
- [ ] Authentification tierce (LDAP, OpenID Connect)
- [ ] API client documentée
- [ ] CAPTCHA?

## Comment installer dnsmanager

Le [README](https://github.com/KaneRoot/dnsmanager) contient les instructions pour installer dnsmanager.

## dnsmanager supporte-t-il la délégation ?

Pour le moment, dnsmanager ne sait pas déléguer une zone. Cette fonctionnalité sera probablement implémentée dans le futur.

## dnsmanager supporte-t-il l'authentification tierce ?

Pour le moment, dnsmanager ne sait pas gérer un serveur d'authentification tierce (par exemple LDAP). Ce sera probablement implémenté dans le futur.
