+++
title = "Projects"
+++

# Quick overview

Here is a list of our currently developping projects.
This list will grow up following our wildest dreams.

1. [service][local-service]: start, stop, configure services<br />
2. `packaging`
3. `package`
4. proot: based on the `proot` utility from OpenBSD
   - works with Alpine's package format
   - should integrate `BaguetteOS`'s package format
5. `networkctl`: configure network easily through the file format of OpenBSD interface configuration
   - working
   - could integrate more use-cases such as "internet box for small office/home"
6. build.zsh: create Makefiles for you, with a declarative project configuration
7. LibIPC and LibIPC-based tools
   - LibIPC: efficient communication library
   - authd: authentication deamon
     - could integrate federation authentication processes (OAuth, etc.)
   - todo: kanban
   - websocketd: websockets used to connect browsers to LibIPC services online
   - ipcd: host-based IPC configuration, allows the network administration of LibIPC-based applications<br />
     Example: an application asks for the `authd` service, `ipcd` could redirect it to the `authd` of another system, seemlessly.
   - tcpd: give the ability for LibIPC-based applications to perform communications
8. [dnsmanager][local-dnsmanager] (under-the-hood application of [netlib.re][netlibre])
   - allow users to create and manage DNS zones, for free

### Not under active development, nor ever started (but still awesome)

1. firewalld: because your firewall should be a simple service provided seemlessly by your OS
2. guid: GUI service for other applications, so no-one else has to handle GUI-code
   - should replace QML but with a lot of similarities (they got a lot of things right!)


[local-dnsmanager]: /projects/dnsmanager
[local-service]: /projects/service
[netlibre]: https://netlib.re
